Subject: Ticket Assigned - Urgent Assistance required : Product Delivery Issue
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 27 Nov 2021 08:10:06 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Urgent Assistance required : Product Delivery Issue Hello,

I have ordered a Jacket from Max on the 19th November 2021 with *Order
#1614124068.*
*My Mobile is : (+968) 71106771*

The package has been out for delivery since yesterday but I still have not
got it.
*My address is in Muscat and I am not able to contact the customer
helpline.*

Request urgent assistance for the same.
Below is the screenshot of my order.

Thanks and Regards,
Atharva Bhandarkar

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3426697